Navigation:

Future Wars: Time Travellers Amiga

New Comment

Post a new comment to participate in the discussion on how this game should be configured, or to add relevant information regarding the use of these configurations.

Posted by thevoice at 2019-07-25 14:00:10:

@alfman all whdload variants changed to a1200. thanks for reporting.


Posted by alfman at 2019-07-25 12:42:40:

Following WHDLoad Version has Problems :

"FutureWars_v4.3-B_De_0506.lha"

FS-UAE used :

3.0.0

Error :

"resload_FlushCache" has been interrupted...


Posted by FrodeSolheim at 2017-08-17 14:46:29:

@Pandax 4.3-B slaves added smiley


Posted by Pandax at 2017-08-14 23:22:13 (Updated 2017-08-14 23:33:59):

If I'm not wrong, the current (EDIT: not "current", "latest") version is 4.3-B, not 4.3.


Posted by thevoice at 2016-03-12 11:34:57:

ADF, v1.04, PAL, cr Avenger

dito for this variant as its the same as gamebase one.


Posted by thevoice at 2016-03-12 11:33:15:

ADF, GameBase

the decruncher of this variant requires 1mb chip. otherwise it just gurus after the crackscreen.


Posted by spirit at 2013-03-17 13:04:55:

The french version is "Les voyageurs du temps : la menace", It could be great to add it smiley